package fr.username404.snowygui.forge

import fr.username404.snowygui.CommonSnow
import fr.username404.snowygui.config.SnowyConfigScreen
import net.minecraftforge.fml.ExtensionPoint
import net.minecraftforge.fml.ModLoadingContext
import net.minecraftforge.fml.common.Mod
import java.util.function.BiFunction
import java.util.function.Supplier

@Mod("snowygui")
class ForgeInit: CommonSnow() {
    init {
        atInit()
        ModLoadingContext.get().registerExtensionPoint(
            ExtensionPoint.CONFIGGUIFACTORY,
            Supplier {
                return@Supplier BiFunction { mc, screen ->
                    return@BiFunction object : SnowyConfigScreen() {
                        override fun onClose() { mc.setScreen(screen) }
                    }
                }
            }
        )
    }
}